#pragma once
#include "BaseLine.h"
#include "BAS_DRAW_FUN1.h"
#include "DrawRoad.h"
#include "GTZX.h"

class CalJXAndGD :
	public BAS_DRAW_FUN
{
public:

	static CBaseLine* GetBaseLineFromBianhao(ACHAR Bianhao[STR_SHORT], vector<CBaseLine*>pBaseLineArray);//找到pBaseLineArray中编号为Bianhao的基线
	static void GetBaseLineArrayFromMdb(vector<CBaseLine*>& pBaseLineArray);//从数据库中获取数组

		//传入现场里程，依据里程冠号查找基线
	static CBaseLine* GetBaseLineFromCkml(ACHAR Ckml[STR_SHORT], vector<CBaseLine*>pBaseLineArray);
	static void GetBaseLineArrayFromLayerOrMdb(vector<CBaseLine*>& pBaseLineArray);
	static void GetGTZXArrayFromMdb(vector<ZCGTZX*>& pGTZXArray);//从数据库中获取股道数组
	static void GetGTZXArrayFromMdb_PM(vector<CBaseLine*>& In_pBaseLineArray, vector<ZCGTZX*>& pGTZXArray, bool IncludeYuLiu = true);//获取股道数组

};

